Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\REST\Client\IOService Class Reference

Service used to handle io operations. More...

Inheritance diagram for eZ\Publish\Core\REST\Client\IOService:

## Public Member Functions
| __construct (HttpClient $client, Dispatcher $inputDispatcher, Visitor $outputVisitor, RequestParser $requestParser)
| setSession ($id)
| Set session ID. More...
| newBinaryCreateStructFromUploadedFile (array $uploadedFile)
| Creates a BinaryFileCreateStruct object from the uploaded file $uploadedFile. More...
| newBinaryCreateStructFromLocalFile ($localFile)
| Creates a BinaryFileCreateStruct object from $localFile. More...
| createBinaryFile (BinaryFileCreateStruct $binaryFileCreateStruct)
| Creates a binary file in the the repository. More...
| deleteBinaryFile (BinaryFile $binaryFile)
| Deletes the BinaryFile with $path. More...
| loadBinaryFile ($binaryFileId)
| Loads the binary file with $id. More...
| getFileInputStream (BinaryFile $binaryFile)
| Returns a read (mode: rb) file resource to the binary file identified by $path. More...
| getFileContents (BinaryFile $binaryFile)
| Returns the content of the binary file. More...

## Private Attributes
| $client
| $inputDispatcher
| $outputVisitor
| $requestParser

## Detailed Description

Service used to handle io operations.

Definition at line 19 of file REST/Client/IOService.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\IOService::__construct | ( | HttpClient | $client,
|  | Dispatcher | $inputDispatcher,
|  | Visitor | $outputVisitor,
|  | RequestParser | $requestParser
| ) |  |

Parameters

  \eZ\Publish\Core\REST\Client\HttpClient | $client |
  \eZ\Publish\Core\REST\Common\Input\Dispatcher | $inputDispatcher |
  \eZ\Publish\Core\REST\Common\Output\Visitor | $outputVisitor |
  \eZ\Publish\Core\REST\Common\RequestParser | $requestParser |

Definition at line 39 of file REST/Client/IOService.php.

References eZ\Publish\Core\REST\Client\IOService\$client, eZ\Publish\Core\REST\Client\IOService\$inputDispatcher, eZ\Publish\Core\REST\Client\IOService\$outputVisitor, and eZ\Publish\Core\REST\Client\IOService\$requestParser.

## Member Function Documentation

## ◆ createBinaryFile()

eZ\Publish\Core\REST\Client\IOService::createBinaryFile | ( | BinaryFileCreateStruct | $binaryFileCreateStruct | ) |

Creates a binary file in the the repository.

Parameters

  \eZ\Publish\Core\IO\Values\BinaryFileCreateStruct | $binaryFileCreateStruct |

Returns
  \eZ\Publish\Core\IO\Values\BinaryFile The created BinaryFile object

Definition at line 98 of file REST/Client/IOService.php.

## ◆ deleteBinaryFile()

eZ\Publish\Core\REST\Client\IOService::deleteBinaryFile | ( | BinaryFile | $binaryFile | ) |

Deletes the BinaryFile with $path.

Parameters

  \eZ\Publish\Core\IO\Values\BinaryFile | $binaryFile |

Definition at line 108 of file REST/Client/IOService.php.

## ◆ getFileContents()

eZ\Publish\Core\REST\Client\IOService::getFileContents | ( | BinaryFile | $binaryFile | ) |

Returns the content of the binary file.

Parameters

  \eZ\Publish\Core\IO\Values\BinaryFile | $binaryFile |

Returns
  string

Definition at line 146 of file REST/Client/IOService.php.

## ◆ getFileInputStream()

eZ\Publish\Core\REST\Client\IOService::getFileInputStream | ( | BinaryFile | $binaryFile | ) |

Returns a read (mode: rb) file resource to the binary file identified by $path.

Parameters

  \eZ\Publish\Core\IO\Values\BinaryFile | $binaryFile |

Returns
  resource

Definition at line 134 of file REST/Client/IOService.php.

## ◆ loadBinaryFile()

eZ\Publish\Core\REST\Client\IOService::loadBinaryFile | ( |  | $binaryFileId | ) |

Loads the binary file with $id.

Exceptions

Definition at line 122 of file REST/Client/IOService.php.

## ◆ newBinaryCreateStructFromLocalFile()

eZ\Publish\Core\REST\Client\IOService::newBinaryCreateStructFromLocalFile | ( |  | $localFile | ) |

Creates a BinaryFileCreateStruct object from $localFile.

Exceptions

Definition at line 86 of file REST/Client/IOService.php.

## ◆ newBinaryCreateStructFromUploadedFile()

eZ\Publish\Core\REST\Client\IOService::newBinaryCreateStructFromUploadedFile | ( | array | $uploadedFile | ) |

Creates a BinaryFileCreateStruct object from the uploaded file $uploadedFile.

Exceptions

Definition at line 72 of file REST/Client/IOService.php.

## ◆ setSession()

eZ\Publish\Core\REST\Client\IOService::setSession | ( |  | $id | ) |

Set session ID.

Only for testing

Parameters

  mixed | tringid

Implements eZ\Publish\Core\REST\Client\Sessionable.

Definition at line 56 of file REST/Client/IOService.php.

## Member Data Documentation

## ◆ $client

eZ\Publish\Core\REST\Client\IOService::$client
| private

Definition at line 22 of file REST/Client/IOService.php.

Referenced by eZ\Publish\Core\REST\Client\IOService\__construct().

## ◆ $inputDispatcher

eZ\Publish\Core\REST\Client\IOService::$inputDispatcher
| private

Definition at line 25 of file REST/Client/IOService.php.

Referenced by eZ\Publish\Core\REST\Client\IOService\__construct().

## ◆ $outputVisitor

eZ\Publish\Core\REST\Client\IOService::$outputVisitor
| private

Definition at line 28 of file REST/Client/IOService.php.

Referenced by eZ\Publish\Core\REST\Client\IOService\__construct().

## ◆ $requestParser

eZ\Publish\Core\REST\Client\IOService::$requestParser
| private

Definition at line 31 of file REST/Client/IOService.php.

Referenced by eZ\Publish\Core\REST\Client\IOService\__construct().

The documentation for this class was generated from the following file:

- REST/Client/IOService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.